// LogDlg.cpp : implementation file
//

#include "stdafx.h"
#include "VobBlanker.h"
#include "LogDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

extern CVobBlankerApp theApp;


/////////////////////////////////////////////////////////////////////////////
// LogDlg dialog


CLogDlg::CLogDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CLogDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(LogDlg)
	m_csEditLog = _T("");
	//}}AFX_DATA_INIT
}


void CLogDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(LogDlg)
	DDX_Text(pDX, IDC_EDIT, m_csEditLog);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CLogDlg, CDialog)
	//{{AFX_MSG_MAP(LogDlg)
	ON_BN_CLICKED(IDC_SAVEAS, OnSaveas)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// LogDlg message handlers


BOOL CLogDlg::OnInitDialog()
{
	m_nlin=0;
	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CLogDlg::LogLine(LPCTSTR szLine) 
{
	// TODO: Add extra validation here
	
	CEdit* pEdit;

	if (m_nlin!=0)	m_csEditLog+="\r\n";
	m_csEditLog+=szLine;

	pEdit=(CEdit *)GetDlgItem(IDC_EDIT);
	m_nlin++;

	UpdateData(FALSE);
	pEdit->LineScroll(m_nlin,0);

	return;
}

void CLogDlg::OnCancel() 
{
	// TODO: Add extra cleanup here
	theApp.m_pLog=NULL;
	DestroyWindow();
	
//	CDialog::OnCancel();
}

void CLogDlg::OnSaveas() 
{
	// TODO: Add your control notification handler code here
	CString csSavePath,csFiltro,csTitulo;
	FILE *in;

	csFiltro = "All files";
	csFiltro += " (*.*)|*.*||";
	csTitulo = "Save Project as *.txt";
	// OpenFile Dlg construction 
	CFileDialog dlgAbrir(FALSE,"txt","VobBlanker_log.txt",OFN_EXPLORER ,(const char*)csFiltro);

	dlgAbrir.m_ofn.lpstrTitle = (const char*)csTitulo;
//	dlgAbrir.m_ofn.Flags=OFN_NODEREFERENCELINKS|OFN_EXPLORER;
	dlgAbrir.m_ofn.Flags=OFN_EXPLORER;

	if (dlgAbrir.DoModal() == IDOK)
	{
		csSavePath = dlgAbrir.GetPathName(); 
		if ((in=fopen (csSavePath,"w"))==NULL)
		{
			MessageBox( "Error opening file", "Error",  MB_OK | MB_ICONEXCLAMATION );
		}
		else
		{
			if ( fprintf (in,"%s", m_csEditLog) < 0)
				MessageBox( "Error Saving Log file", "Error",  MB_OK | MB_ICONERROR );
			else
				MessageBox( "Log file Saved", "Info",  MB_OK | MB_ICONEXCLAMATION );
			fclose(in);
		}	
	}
}
