// VobBlankerDlg.h : header file
//

#if !defined(AFX_VOBBLANKERDLG_H__24F6B2C0_78F7_4580_A334_09328E5F8360__INCLUDED_)
#define AFX_VOBBLANKERDLG_H__24F6B2C0_78F7_4580_A334_09328E5F8360__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CVobBlankerDlg dialog

class CVobBlankerDlg : public CToolTipDialog
{
// Construction
public:
	CVobBlankerDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CVobBlankerDlg)
	enum { IDD = IDD_VOBBLANKER_DIALOG };
	CProgressCtrl	m_CProgressTot;
	CListCtrl	m_CListT;
	CListCtrl	m_CListVTS;
	CProgressCtrl	m_CProgress;
	CString	m_csProgress;
	CString	m_csOutput;
	CString	m_csInput;
	BOOL	m_bCheckIfof;
	BOOL	m_bCheckMenu;
	BOOL	m_bCheckVobPuops;
	BOOL	m_bCheckTitle;
	CString	m_csPcProgress;
	BOOL	m_bCheckIfoPuops;
	CString	m_csEditEnd;
	CString	m_csEditIni;
	BOOL	m_bCheckFixVobs;
	CString	m_csPcProgressTot;
	BOOL	m_bCheckPostPre;
	BOOL	m_bCheckPostPreForced;
	BOOL	m_bCheckFolder;
	//}}AFX_DATA
	CMenu m_menuVTS;
	int m_nSelectedItemVTS;
	CRect	m_RectApp,m_RectVTS,m_RectPGC,m_RectLISTT,m_RectLISTVTS;
	CRect	m_RectBMENU, m_RectBSKIP, m_RectBSKIPALL,m_RectBPROC, m_RectBPROCALL; 
	CRect	m_RectBPREV, m_RectBSUBS,m_RectBKEEP, m_RectBBLANK, m_RectBSTRIP, m_RectBCELLS; 
	CRect	m_RectEPRGT, m_RectPRGT,m_RectBABOR, m_RectOK, m_RectCANCEL; 
	bool	m_bCLIMode, m_bCLIRun,m_bCLIExit,m_bFirstLoad;
	CString	m_csCLIFile;

	int m_indexAction;
	int m_indexReplacing;
	bool bAlreadyRun;
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CVobBlankerDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CVobBlankerDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnHelpAbout();
	afx_msg void OnHelpContact();
	afx_msg void OnHelpContents();
	afx_msg void OnHelpCredits();
	afx_msg void OnFileOpen();
	afx_msg void OnFileSaveAs();
	afx_msg void OnFileQuit();
	afx_msg void OnFileExecute();
	afx_msg void OnBlankAll();
	afx_msg void OnBlankAuto();
	afx_msg void OnButtonblank();
	afx_msg void OnButtoninput();
	afx_msg void OnButtonkeep();
	afx_msg void OnButtonoutput();
	afx_msg void OnButtonprev();
	afx_msg void OnButtonsubs();
	virtual void OnOK();
	virtual void OnCancel();
	afx_msg void OnItemchangedListvts(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnItemchangedListt(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnButtonskip();
	afx_msg void OnButtonproc();
	afx_msg void OnButtonskipall();
	afx_msg void OnButtonprocall();
	afx_msg void OnButtonabort();
	afx_msg void OnCheckmenu();
	afx_msg void OnButtonstrip();
	afx_msg void OnButtoncells();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnRclickListt(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnDblclkListt(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnRclickListvts(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnDblclkListvts(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnButtonmenu();
	afx_msg void OnCheckpostpreforced();
	afx_msg void OnCheckpostpre();
	afx_msg void OnKillfocusEditinput();
	afx_msg void OnCheckfolder();
	afx_msg void OnSettingsSave();
	afx_msg void OnSettingsClear();
	afx_msg void OnButtonmore();
	afx_msg void OnSettingsMore();
	//}}AFX_MSG
	afx_msg void On__skip();
	afx_msg void On__process();
	afx_msg void On__skipall();
	afx_msg void On__procall();
	afx_msg void On__blankVTS();
	afx_msg void On__videoattr();
	afx_msg void On__audioattr();
	afx_msg void On__blank();
	afx_msg void On__strip();
	afx_msg void On__replace();
	afx_msg void On__keep();
	afx_msg void On__preview();
	afx_msg void On__audinfo();
	afx_msg void On__cells();
	afx_msg void On__menus();

	DECLARE_MESSAGE_MAP()
	virtual void PintaVTS();
	virtual void PintaT();
	virtual void CheckEnableButtons();
	virtual void CheckEnablePopupMenuT(CMenu* pPopup);
	virtual void CheckEnablePopupMenuVTS(CMenu* pPopup);
	virtual void Buttonskip(int nItemVTS);
	virtual void Buttonproc(int nItemVTS);
	virtual void UpdateSize();
	virtual void GetInitialCoord();
	virtual void ReSizePGC(int IDD, CRect myRect, int cx, int cy) ;
	virtual void ReSizeVTS(int IDD, CRect myRect, int cx, int cy) ;
	virtual void ReSizeBVTS(int IDD, CRect myRect, int cx, int cy) ;
	virtual void ReSizeBPGC(int IDD, CRect myRect, int cx, int cy) ;
	virtual void ReSizeBottom(int IDD, CRect myRect, int cx, int cy) ;
	virtual void ButtonblankVTS(int nItemVTS);
	virtual CString DisplayVideoAttr(int nVTS ); 
	virtual bool LoadProject(CString csFileName);
	virtual void CleanCellBased(int nVTS, int nT);
	virtual void OnNewInputfile();
	virtual void OnDropFiles( HDROP hDropInfo);
	virtual int  MoveBckFile(CString csFile, bool bCheck);
	virtual void OnButtonblankVTS();
	virtual void SettingsToApp();
	virtual void SettingsFromApp();



public:
	virtual void UpdateProgress(int nPerc);
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_VOBBLANKERDLG_H__24F6B2C0_78F7_4580_A334_09328E5F8360__INCLUDED_)
