// LUSelector.cpp : implementation file
//

#include "stdafx.h"
#include "VobBlanker.h"
#include "LUSelDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

extern CVobBlankerApp theApp;
extern CString lang_long(char* szLang);


/////////////////////////////////////////////////////////////////////////////
// CLUSelDlg dialog


CLUSelDlg::CLUSelDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CLUSelDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CLUSelDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CLUSelDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CLUSelDlg)
	DDX_Control(pDX, IDC_COMBOLU, m_CComboLU);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CLUSelDlg, CDialog)
	//{{AFX_MSG_MAP(CLUSelDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


BOOL CLUSelDlg::OnInitDialog()
{
//	CWnd* pWnd;
	int i;
	CString csAux,csAux2;

	CDialog::OnInitDialog();

	m_CComboLU.ResetContent();

	for (i=0; i< theApp.m_nLUs[m_nVTS] ; i++)
	{
		if (i!=m_nLU)
		{
			csAux=lang_long(theApp.m_szLANG_LU[m_nVTS][i]);

			csAux2.Format(_T("%02d"),i+1);
			csAux=csAux2 + " (" + csAux + ")";
			m_CComboLU.AddString(csAux);
		}
	}

	m_CComboLU.SetCurSel(0);
	UpdateData(FALSE);

	return TRUE;  // return TRUE  unless you set the focus to a control

}


/////////////////////////////////////////////////////////////////////////////
// CLUSelDlg message handlers

void CLUSelDlg::OnOK() 
{
	// TODO: Add extra validation here

	UpdateData(TRUE);

	m_nSelectedLU=m_CComboLU.GetCurSel();
	if (m_nSelectedLU >= m_nLU) m_nSelectedLU++;

	CDialog::OnOK();
}

void CLUSelDlg::OnCancel() 
{
	// TODO: Add extra cleanup here
	
	CDialog::OnCancel();
}
